File perl-MailTools.changes of Package perl-MailTools

-------------------------------------------------------------------
Tue Nov 30 19:20:27 UTC 2010 - coolo@novell.com

- switch to perl_requires macro

-------------------------------------------------------------------
Mon Nov 29 18:30:27 UTC 2010 - coolo@novell.com

- remove /var/adm/perl-modules

-------------------------------------------------------------------
Tue Oct 19 08:38:45 UTC 2010 - coolo@novell.com

- add perl as explicit buildrequire

-------------------------------------------------------------------
Tue Oct  5 15:10:39 CEST 2010 - anicka@suse.cz

- update to 2.07
 * update README: MailTools 2.* require 5.8.1
 * add "MAIL FROM" to Mail::Mailer::smtp, to be able to communicate
   with Comcast

-------------------------------------------------------------------
Tue Feb 23 16:21:06 CET 2010 - anicka@suse.cz

- update to 2.06
 * express more clearly that Authen::SASL needs to be installed
   manually if you need the functionality
 * support for smtps via Net::SMTP::SSL

-------------------------------------------------------------------
Wed Jan 13 16:32:20 CET 2010 - anicka@suse.cz

- update to 2.05
 * no de-ref error when index out of range in Mail::Header::get()
 * repaired fixed selection of smtp for non-unix systems.
 * do not run pod.t in devel environment.
 * set default output filename for Mail::Mailer::testfile::PRINT
 * warn when no mailers were found.

-------------------------------------------------------------------
Sun Jan 10 15:43:32 CET 2010 - jengelh@medozas.de

- enable parallel build

-------------------------------------------------------------------
Wed Sep 10 16:56:04 CEST 2008 - anicka@suse.cz

- update to 2.04
 * Mail::Field::_require_dir complained on 5.10 about a closed
   dirhandle.
 * Bcc line removed before collecting addresses.
 * add "die" to "close()" in synopsis of Mail::Send and
   Mail::Mailer.

-------------------------------------------------------------------
Thu Jun 19 16:23:28 CEST 2008 - anicka@suse.cz

- update to 2.03
 * Netware needs to use smtp as well
 * Mail::Field::extract() fixed.

-------------------------------------------------------------------
Thu Dec 13 15:32:59 CET 2007 - anicka@suse.cz

- update to 2.02 
  * use 3-arg open() in Mail::Util.
  * reorganized installation of MailTools, in a modern way. This
    may break installation on very old releases of Perl.
  * added and cleaned a lot of documentation, using OODoc to
    generate nice manuals in POD and HTML.
  * extracted Mail::Field::Generic from Mail::Field
  * added misteriously missing Mail::Field::AddrList::addr_list()

-------------------------------------------------------------------
Tue May 15 16:09:11 CEST 2007 - anicka@suse.cz

- update to 1.77
  * fixed syntax error in qmail.pm
  * die if qmail's exec fails.
  * require Data::Format
  * corrected header field folding according to rfc2822, which
    may break some ancient (poor) applications.

-------------------------------------------------------------------
Thu Apr 12 11:38:05 CEST 2007 - anicka@suse.cz

- update to 1.76
  * The tag (field label) casing is "normalized" which is not
    required (as the comment in the code told), but a mis*
    feature.  The feature will not change, to avoid breaking
    existing code.
  * Do not ignore unknown argument to Mail::Internet::new(),
    but complain about it
  * Document that the \n is still after a header line, but folding
    is removed.
  * Document that unfolding is too greading, taking all leading
    blanks where only one should be taken. 
  * [Mike Lerley] reported that environment variables are not
    thread*safe in mod_perl.  Therefore, he required to pass the
    sender of the message explictly on qmail's command*line.
    His addapted patch included.

-------------------------------------------------------------------
Thu Jul 13 13:49:30 CEST 2006 - anicka@suse.cz

- update to 1.74
  * minor improvements and bugfixes, new examples added 

-------------------------------------------------------------------
Wed Jan 25 21:39:49 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Mon Apr 11 15:52:33 CEST 2005 - freitag@suse.de

- updated to most recent version 1.67 

-------------------------------------------------------------------
Thu Feb 26 15:06:05 CET 2004 - choeger@suse.de

- updated to most recent version 1.60

-------------------------------------------------------------------
Sun Jan 11 12:08:19 CET 2004 - adrian@suse.de

- add %defattr

-------------------------------------------------------------------
Fri Aug 22 15:15:19 CEST 2003 - mjancar@suse.cz

- require the perl version we build with

-------------------------------------------------------------------
Thu Jul 17 19:49:12 CEST 2003 - choeger@suse.de

- use install_vendor and new %perl_process_packlist macro

-------------------------------------------------------------------
Tue Jun 17 10:50:05 CEST 2003 - choeger@suse.de

- updated filelist

-------------------------------------------------------------------
Mon May 19 12:26:50 CEST 2003 - choeger@suse.de

- remove installed (but unpackaged) file perllocal.pod

-------------------------------------------------------------------
Thu May  8 14:07:43 CEST 2003 - choeger@suse.de

- update to version 1.58

-------------------------------------------------------------------
Wed Oct 30 10:58:20 CET 2002 - choeger@suse.de

- Security update: The mailx mailer has been removed from the list
  of possible mailers in the Mail::Mailer package. Remote attackers
  could use unpatched Mail::Mailer packages to execute arbitrary
  commands via programs using this package or any other Perl
  package using Mail::Mailer. Such programs are auto-reply
  programs or SpamAssassin for example.

-------------------------------------------------------------------
Mon Aug  5 12:36:44 MEST 2002 - link@suse.de

- update to 1.47 
- overhauled spec file

-------------------------------------------------------------------
Mon Jul 29 14:13:33 CEST 2002 - mls@suse.de

- Fixed neededforbuild for perl-5.8.0

-------------------------------------------------------------------
Tue Jul  2 17:40:06 MEST 2002 - mls@suse.de

- remove race in .packlist generation

-------------------------------------------------------------------
Sun Jan 13 03:17:49 MET 2002 - link@suse.de

- update to v1.42 

-------------------------------------------------------------------
Wed Nov 15 17:39:27 CET 2000 - choeger@suse.de

- long package name
- buildroot

-------------------------------------------------------------------
Wed Jul 19 09:32:51 MEST 2000 - choeger@suse.de

- first package, v1.1401